Package org.apache.sling.commons.log.logback.internal.store

# Class LogStoreImpl

java.lang.Object
org.apache.sling.commons.log.logback.internal.store.LogStoreImpl

All Implemented Interfaces:
  `LogStore`

public class LogStoreImpl extends Object implements LogStore

## Constructor Summary

Constructors
Constructor
Description
`LogStoreImpl(int maxEntriesKept)`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(LogEntry snapshot)`
`List<LogEntry>`
`getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)`
Returns a list of `LogEntrie`s matching the specified parameters
`void`
`setMaxEntries(int maxEntriesKept)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogStoreImpl

public LogStoreImpl(int maxEntriesKept)

## Method Details

### append

public void append(LogEntry snapshot)

### getRecent

public List<LogEntry> getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)
Description copied from interface: `LogStore`
Returns a list of `LogEntrie`s matching the specified parameters

Specified by:
  `getRecent` in interface `LogStore`
Parameters:
  `pattern` - the pattern to match against all the text-based fields of the log entry. Ignored if `null`.
  `minLevel` - the minimum level of the log entries. Defaults to `LogLevel.TRACE` if `null`.
  `maxEntries` - the maximum entries to return. Clamped to 1 if needed.
Returns:
  a list of entries matching the parameters. May be empty but not `null`

### setMaxEntries

public void setMaxEntries(int maxEntriesKept)